Index: /extensions/Psli_BingMaps/JS/Psli-BingMaps.js
===================================================================
--- /extensions/Psli_BingMaps/JS/Psli-BingMaps.js	(revision 15431)
+++ /extensions/Psli_BingMaps/JS/Psli-BingMaps.js	(revision 15432)
@@ -2,5 +2,4 @@
 Plugin Name: Psli-BingMaps
 Author: psli 
-Description: Maintenance function for plugin "Psli-BingMaps"
 */
 
@@ -22,34 +21,19 @@
 
 /**************************************************************************/
-// JS Function used by admin script while setting up plugin
-function psli_AdminUpdateMap() {
-	psli_g_MapCenter = new Microsoft.Maps.Location(document.getElementById("lat").value, document.getElementById("lon").value);
-	psli_g_zoomInitial = document.getElementById("zoom").value
-	var pin = new Microsoft.Maps.Pushpin(psli_g_MapCenter);
+// JS global function for Map
+function psli_InitMap() {
+	psli_g_Map = new Microsoft.Maps.Map(document.getElementById("myMap"), psli_g_MapOptions);
+	Microsoft.Maps.Events.addHandler(psli_g_Map, "viewchangeend", psli_MapViewChangeEnd);
+	psli_g_Map.setView({center: psli_g_MapCenter, zoom: psli_g_zoomInitial});
+}
+	
+function psli_MapViewChangeEnd () {
 	psli_g_Map.entities.clear();
-	psli_g_Map.entities.push(pin);
+	psli_g_Map.entities.push(psli_g_ZoomEntity[psli_g_Map.getZoom() - 1]);
+}
+			
+function psli_InitGuestMap() {
+    psli_g_mode = "guest";
 	
-	psli_g_Map.setView({center: psli_g_MapCenter, zoom: psli_g_zoomInitial});	
-}
-
-function psli_AdminMapClick(e) {
-	if (e.targetType == "map") {
-		var psli_l_Point = new Microsoft.Maps.Point(e.getX(), e.getY());
-		psli_g_MapCenter = e.target.tryPixelToLocation(psli_l_Point);
-		psli_g_zoomInitial = Math.round(psli_g_Map.getZoom());
-		
-		document.getElementById("lat").value = psli_g_MapCenter.latitude;
-		document.getElementById("lon").value = psli_g_MapCenter.longitude;
-		document.getElementById("zoom").value = psli_g_zoomInitial;
-				
-		var pin = new Microsoft.Maps.Pushpin(psli_g_MapCenter);
-		psli_g_Map.entities.clear();
-		psli_g_Map.entities.push(pin);
-		
-		psli_g_Map.setView({center: psli_g_MapCenter, zoom: psli_g_zoomInitial});
-	}
-}
-
-function psli_InitAdminSetup () {
 	psli_g_MapOptions = { 
 		credentials: psli_g_BingKey, 
@@ -62,206 +46,10 @@
 	};
 	
-	psli_g_Map = new Microsoft.Maps.Map(document.getElementById("myMap"), psli_g_MapOptions);
-	Microsoft.Maps.Events.addHandler(psli_g_Map, "click", psli_AdminMapClick);
-	var pin = new Microsoft.Maps.Pushpin(psli_g_MapCenter);
-	psli_g_Map.entities.clear();
-	psli_g_Map.entities.push(pin);
-	psli_g_Map.setView({center: psli_g_MapCenter, zoom: psli_g_zoomInitial});
-}
-	
-/**************************************************************************/
-// JS Function used by admin script while editing category location	
-function psli_MapsMouseOut (e) { 
-	 document.getElementById("Coordonates").innerHTML = "";
-}
-	
-function psli_InitGuestMap()
-{
-	psli_g_MapOptions = { 
-		credentials: psli_g_BingKey, 
-		showDashboard:false,
-		showMapTypeSelector:false,
-		showScalebar:false,
-		mapTypeId: Microsoft.Maps.MapTypeId.road,
-		center: psli_g_MapCenter,
-		zoom: psli_g_zoomInitial
-	};
-	
-	psli_g_Map = new Microsoft.Maps.Map(document.getElementById("myMap"), psli_g_MapOptions);
-	Microsoft.Maps.Events.addHandler(psli_g_Map, "viewchangeend", psli_ViewChangeEnd);
+	psli_InitMap();	
 	psli_g_Map.entities.clear();
 	psli_g_Map.entities.push(psli_g_ZoomEntity[psli_g_zoomInitial - 1]);
 }
  
-function psli_ViewChangeEnd () {
-	psli_g_Map.entities.clear();
-	psli_g_Map.entities.push(psli_g_ZoomEntity[psli_g_Map.getZoom() - 1]);
+function psli_MapsMouseOut (e) { 
+	 document.getElementById("Coordonates").innerHTML = "";
 }
-
-
-/**************************************************************************/
-// JS Function used by admin script while editing category location
-function psli_CopyInitial() {
-	psli_g_Vertice = new Array();
-	for (var i = 0; i < psli_g_VerticeInitial.length; i++)
-	{
-		psli_g_Vertice.push(psli_g_VerticeInitial[i]);
-	}
-}
-
-function psli_InitCategoryMap() {
-	if (document.getElementById("pslibingmapsentity").value == "--null--")
-	{
-		document.getElementById("pslibingmapsselect").selectedIndex = 0;
-		psli_g_MapOptions = 
-			{credentials: psli_g_BingKey, 
-			 showDashboard:false,
-			 showMapTypeSelector:false,
-			 showScalebar:false,
-			 mapTypeId: Microsoft.Maps.MapTypeId.road,
-			 center: new Microsoft.Maps.Location(0,0),
-			 zoom:2
-			};
-	}
-	else
-	{
-		document.getElementById("pslibingmapsselect").selectedIndex = document.getElementById("pslibingmapsaction").value;
-		document.getElementById("pslibingmapsbuttonstart").disabled = false;
-		psli_g_MapOptions = 
-			{credentials: psli_g_BingKey, 
-			 showDashboard:false,
-			 showMapTypeSelector:false,
-			 showScalebar:false,
-			 mapTypeId: Microsoft.Maps.MapTypeId.road,
-			 center: new Microsoft.Maps.Location(document.getElementById("pslibingmapslat").value, document.getElementById("pslibingmapslon").value),
-			 zoom: parseInt(document.getElementById("pslibingmapsaction").value)
-			};
-		
-	}
-	
-	psli_g_Map = new Microsoft.Maps.Map(document.getElementById("pslibingmapsmap"), psli_g_MapOptions);
-	Microsoft.Maps.Events.addHandler(psli_g_Map, "click", psli_MapClick);	
-}
-
-function psli_SaveZone() {
-	var psli_l_ZoneCoordonates = ""
-	var psli_l_EntityId = document.getElementById("pslibingmapsentity").value;
-	if (psli_g_Vertice.length > 0)
-	{
-		var psli_l_LastPoint = new Microsoft.Maps.Location(psli_g_Vertice[0].latitude, psli_g_Vertice[0].longitude);
-		psli_g_Vertice.push(psli_l_LastPoint);
-		var psli_l_Polygon = new Microsoft.Maps.Polygon(psli_g_Vertice,{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});
-		psli_g_Map.entities.clear();
-		psli_g_Map.entities.push(psli_l_Polygon);
-		for (var i = 0; i < psli_g_Vertice.length ; i++)
-		{
-			if (i != 0)
-				psli_l_ZoneCoordonates += ",";
-			psli_l_ZoneCoordonates += "(" + psli_l_EntityId + ", " + psli_g_Vertice[i].latitude + ", " + psli_g_Vertice[i].longitude + ")";
-		}
-		psli_l_ZoneCoordonates += ";"
-	}
-	else
-	{
-		psli_l_ZoneCoordonates = "delete all";
-	}
-	document.getElementById("pslibingmapszone").value = psli_l_ZoneCoordonates;
-	document.getElementById("pslibingmapsbuttonall").disabled = true;
-	document.getElementById("pslibingmapsbuttondelete").disabled = true;
-	document.getElementById("pslibingmapsbuttonsave").disabled = true;
-	document.getElementById("pslibingmapsbuttoncancel").disabled = true;
-	document.getElementById("pslibingmapsbuttonstart").disabled = false;	
-
-	psli_g_ZoneDraw = false;	
-}
-
-function psli_CancelZone() {
-	psli_g_ZoneDraw = false;
-	psli_CopyInitial();
-	var psli_l_Polygon = new Microsoft.Maps.Polygon(psli_g_Vertice,{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});
-	psli_g_Map.entities.clear();
-	psli_g_Map.entities.push(psli_l_Polygon);
-	document.getElementById("pslibingmapsbuttonall").disabled = true;
-	document.getElementById("pslibingmapsbuttondelete").disabled = true;
-	document.getElementById("pslibingmapsbuttonsave").disabled = true;
-	document.getElementById("pslibingmapsbuttoncancel").disabled = true;
-	document.getElementById("pslibingmapsbuttonstart").disabled = false;	
-	
-}
-
-function psli_StartZone() {
-	psli_g_ZoneDraw = true;
-	if (psli_g_VerticeInitial.length > 0)
-	{
-		psli_CopyInitial();
-		var psli_l_Polygon = new Microsoft.Maps.Polygon(psli_g_Vertice,{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});
-		psli_g_Map.entities.clear();
-		psli_g_Map.entities.push(psli_l_Polygon);
-	}
-	else
-	{
-		psli_g_Vertice = new Array();
-		psli_g_Map.entities.clear();
-	}
-	document.getElementById("pslibingmapsbuttonall").disabled = false;
-	document.getElementById("pslibingmapsbuttondelete").disabled = false;
-	document.getElementById("pslibingmapsbuttonsave").disabled = false;
-	document.getElementById("pslibingmapsbuttoncancel").disabled = false;
-	document.getElementById("pslibingmapsbuttonstart").disabled = true;
-	
-}
-				
-function psli_DeleteLast() {
-	if (psli_g_Vertice.length > 0) 
-	{
-		psli_g_Vertice.pop();
-		var psli_l_Polygon = new Microsoft.Maps.Polygon(psli_g_Vertice,{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});
-		psli_g_Map.entities.clear();
-		psli_g_Map.entities.push(psli_l_Polygon);
-	}
-}
-
-function psli_DeleteAll() {
-	psli_g_Vertice = new Array();
-	psli_g_Map.entities.clear();
-}
-
-function psli_SetMinimum() {
-	document.getElementById("pslibingmapszoommin").value = psli_g_Map.getZoom();
-}
-
-function psli_SetMaximum() {
-	document.getElementById("pslibingmapszoommax").value = psli_g_Map.getZoom();
-}
-
-function psli_SetAction() {
-	document.getElementById("pslibingmapsselect").selectedIndex = psli_g_Map.getZoom();
-}
-
-function psli_MapClick(e) {
-	if (e.targetType == "map") {
-		if (psli_g_ZoneDraw)
-		{	
-			var psli_l_Point = new Microsoft.Maps.Point(e.getX(), e.getY());
-			var psli_l_Loc = e.target.tryPixelToLocation(psli_l_Point);
-			psli_g_Vertice.push(psli_l_Loc);
-			var zone = new Microsoft.Maps.Polygon(psli_g_Vertice,{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});
-			psli_g_Map.entities.clear();
-			psli_g_Map.entities.push(zone);
-		}
-		else
-		{
-			var psli_l_Point = new Microsoft.Maps.Point(e.getX(), e.getY());
-			var psli_l_Loc = e.target.tryPixelToLocation(psli_l_Point);
-			
-			document.getElementById("pslibingmapslat").value= psli_l_Loc.latitude;
-			document.getElementById("pslibingmapslon").value= psli_l_Loc.longitude;
-			document.getElementById("pslibingmapsselect").selectedIndex = psli_g_Map.getZoom();
-			var pin = new Microsoft.Maps.Pushpin(psli_l_Loc);
-			psli_g_Map.entities.clear();
-			psli_g_Map.entities.push(pin);
-		}
-	}
-}
-
-
Index: /extensions/Psli_BingMaps/include/const.inc.php
===================================================================
--- /extensions/Psli_BingMaps/include/const.inc.php	(revision 15431)
+++ /extensions/Psli_BingMaps/include/const.inc.php	(revision 15432)
@@ -2,6 +2,5 @@
 /*
 Plugin Name: Psli-BingMaps
-Author: psli 
-Description: Define for use by "Psli-Bing Maps" Plugin
+Author: psli
 */
 
@@ -12,20 +11,15 @@
 global $prefixeTable;
 
-// Define to use Debug Mode
-//if (!defined('PSLI-DEBUG')) define('PSLI-DEBUG', TRUE);
-
 // Define
+define('PSLI_MAPS_TABLE' , $prefixeTable . 'psli_maps');
 define('PSLI_ENTITIES_TABLE' , $prefixeTable . 'psli_entities');
+define('PSLI_ENTITIES_MAPS_TABLE' , $prefixeTable . 'psli_entities_maps');
 define('PSLI_DATAPOINT_TABLE' , $prefixeTable . 'psli_datapoint');
 define('PSLI_CONF_KEY', 'PsliBingMapsKey');
-define('PSLI_CONF_LAT', 'PsliBingMapsLat');
-define('PSLI_CONF_LON', 'PsliBingMapsLon');
-define('PSLI_CONF_ZOOM', 'PsliBingMapsZoom');
 define('PSLI_CONF_PATH', 'PsliBingMapsPath');
-define('PSLI_CONF_CATEGORY', 'PsliBingMapsCategoryInitiale');
 define('PSLI_CONF_VERSION_MAJ', 'PsliBingMapsVerMaj');
 define('PSLI_CONF_VERSION_MIN', 'PsliBingMapsVerMin');
-define('PSLI_VERSION_MAJ', 1);
-define('PSLI_VERSION_MIN', 3);
+define('PSLI_VERSION_MAJ', 2);
+define('PSLI_VERSION_MIN', 0);
 
 ?>
Index: /extensions/Psli_BingMaps/include/guest.inc.php
===================================================================
--- /extensions/Psli_BingMaps/include/guest.inc.php	(revision 15431)
+++ /extensions/Psli_BingMaps/include/guest.inc.php	(revision 15432)
@@ -3,5 +3,4 @@
 Plugin Name: Psli-BingMaps
 Author: psli 
-Description: Admin function for plugin "Psli-BingMaps"
 */
 
@@ -18,32 +17,4 @@
 $row = pwg_db_fetch_assoc($result);
 $conf[PSLI_CONF_KEY] = $row['value'];
-$query = '
-	SELECT value
-		FROM '.CONFIG_TABLE.'
-		WHERE param = "'.PSLI_CONF_LAT.'";';
-$result = pwg_query($query);
-$row = pwg_db_fetch_assoc($result);
-$conf[PSLI_CONF_LAT] = $row['value'];
-$query = '
-	SELECT value
-		FROM '.CONFIG_TABLE.'
-		WHERE param = "'.PSLI_CONF_LON.'";';
-$result = pwg_query($query);
-$row = pwg_db_fetch_assoc($result);
-$conf[PSLI_CONF_LON] = $row['value'];
-$query = '
-	SELECT value
-		FROM '.CONFIG_TABLE.'
-		WHERE param = "'.PSLI_CONF_ZOOM.'";';
-$result = pwg_query($query);
-$row = pwg_db_fetch_assoc($result);
-$conf[PSLI_CONF_ZOOM] = $row['value'];
-$query = '
-	SELECT value
-		FROM '.CONFIG_TABLE.'
-		WHERE param = "'.PSLI_CONF_CATEGORY.'";';
-$result = pwg_query($query);
-$row = pwg_db_fetch_assoc($result);
-$conf[PSLI_CONF_CATEGORY] = $row['value'];
 
 $conf['psli_already_done'] = false;
@@ -62,9 +33,24 @@
 	if (! (strpos($_SERVER['HTTP_USER_AGENT'],"MSIE 6.0") === FALSE))
 		return $desc;
+	
+	if (isset($page['category']['id']))
+	{
+		$query = '
+			SELECT id, lat, lon, zoom
+				FROM '.PSLI_MAPS_TABLE.'
+				WHERE id_category = '.$page['category']['id'].';';
+		$result = pwg_query($query);
+	}
 		
 	// First test album to control availabilty of the map
-	if ((isset($page['category']['id'])) and  ($page['category']['id'] == $conf[PSLI_CONF_CATEGORY]) and ($conf['psli_already_done'] == false))
+	if ((isset($page['category']['id'])) and  (pwg_db_num_rows($result) > 0) and ($conf['psli_already_done'] == false))
 	{	
-	
+		// Set data for this map
+		$row = pwg_db_fetch_assoc($result);
+		$lon_initiale = $row['lon'];
+		$zoom_initiale = $row['zoom'];
+		$lat_initiale = $row['lat'];
+		$id_initiale = $row['id'];
+		
 		// Language data
 		load_language('plugin.lang', PSLI_BINGMAPS_TEMPLATE_PATH);
@@ -82,11 +68,12 @@
 <script>
 psli_g_BingKey = "'.$conf[PSLI_CONF_KEY].'";
-psli_g_zoomInitial = '.$conf[PSLI_CONF_ZOOM].';
-psli_g_MapCenter = new Microsoft.Maps.Location('.$conf[PSLI_CONF_LAT].', '.$conf[PSLI_CONF_LON].')'."\n";
+psli_g_zoomInitial = '.$zoom_initiale.';
+psli_g_MapCenter = new Microsoft.Maps.Location('.$lat_initiale.', '.$lon_initiale.')'."\n";
 
 	
 		$query_entities = '
-			SELECT id, lat, lon, zoomMin, zoomMax, action, title, id_category
-			  FROM '.PSLI_ENTITIES_TABLE.';';
+			SELECT e.id id, lat, lon, zoomMin, zoomMax, action, id_action, title, type
+			  FROM '.PSLI_ENTITIES_TABLE.' e left join '.PSLI_ENTITIES_MAPS_TABLE.' j ON e.id = j.id_entity
+			  WHERE j.id_map = '.$id_initiale.';';
 		$result_entities = pwg_query($query_entities);
 		
@@ -100,59 +87,72 @@
 			// For each sub category
 			while ($entity = pwg_db_fetch_assoc($result_entities))
-			{					
-				$query_datapoint = '
-					SELECT lat, lon
-						FROM '.PSLI_DATAPOINT_TABLE.'
-						WHERE id_entity = '.$entity['id'].' ORDER BY id;';
-				$result_datapoint = pwg_query($query_datapoint);
-				if (pwg_db_num_rows($result_datapoint) > 0)
-				{
-					$desc_data .= 'var psli_t_Vertices'.$entity['id'].' = new Array();'."\n";
-					while ($row = pwg_db_fetch_assoc($result_datapoint))
+			{	
+				if ($entity['id_action'] != 0)
+				{	
+					if ($entity['type'] == 2)
 					{
-						$desc_data .= 'psli_t_Vertices'.$entity['id'].'.push(new Microsoft.Maps.Location('.$row['lat'].','.$row['lon'].'));'."\n";
+						$query_datapoint = '
+							SELECT lat, lon
+								FROM '.PSLI_DATAPOINT_TABLE.'
+								WHERE id_entity = '.$entity['id'].' ORDER BY id;';
+						$result_datapoint = pwg_query($query_datapoint);
+						if (pwg_db_num_rows($result_datapoint) > 0)
+						{
+							$desc_data .= 'var psli_t_Vertices'.$entity['id'].' = new Array();'."\n";
+							while ($row = pwg_db_fetch_assoc($result_datapoint))
+							{
+								$desc_data .= 'psli_t_Vertices'.$entity['id'].'.push(new Microsoft.Maps.Location('.$row['lat'].','.$row['lon'].'));'."\n";
+							}
+							$desc_data .= '
+var psli_t_Child'.$entity['id'].' = new Microsoft.Maps.Polygon(psli_t_Vertices'.$entity['id'].',{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});'."\n";
+
+							$desc_function_mouse_over .= '
+function psli_MapsMouseOver_'.$entity['id'].' (e) { 
+  document.getElementById("Coordonates").innerHTML = "'.l10n('Click to zoom on')." ".$entity['title'].'";
+}'."\n";
+						}
 					}
+					else
+					{
+						$desc_data .= '
+var psli_t_Child'.$entity['id'].' = new Microsoft.Maps.Pushpin(new Microsoft.Maps.Location('.$entity['lat'].','.$entity['lon'].'));'."\n";
+
+						$desc_function_mouse_over .= '
+function psli_MapsMouseOver_'.$entity['id'].' (e) { 
+  document.getElementById("Coordonates").innerHTML = "'.l10n('Click to show pictures of')." ".$entity['title'].'";
+}'."\n";
+					}
+					
 					$desc_data .= '
-	var psli_t_Child'.$entity['id'].' = new Microsoft.Maps.Polygon(psli_t_Vertices'.$entity['id'].',{fillColor: psli_g_PolygonColor, strokeColor: psli_g_PolygonColor});'."\n";
-
-					$desc_function_mouse_over .= '
-	function psli_MapsMouseOver_'.$entity['id'].' (e) { 
-	  document.getElementById("Coordonates").innerHTML = "'.l10n('Cliquez pour zoomer sur').$entity['title'].'";
-	}'."\n";
-				}
-				else
-				{
-					$desc_data .= '
-	var psli_t_Child'.$entity['id'].' = new Microsoft.Maps.Pushpin(new Microsoft.Maps.Location('.$entity['lat'].','.$entity['lon'].'));'."\n";
-
-					$desc_function_mouse_over .= '
-	function psli_MapsMouseOver_'.$entity['id'].' (e) { 
-	  document.getElementById("Coordonates").innerHTML = "'.l10n('Cliquez pour acceder aux photos').$entity['title'].'";
-	}'."\n";
-				}
+Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "mouseover", psli_MapsMouseOver_'.$entity['id'].');
+Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "mouseout", psli_MapsMouseOut);
+Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "click", psli_MapsClick_'.$entity['id'].');'."\n";
+		
+					switch ($entity['action'])
+					{
+						case 1:	
+							$desc_function_click .= '
+function psli_MapsClick_'.$entity['id'].' (e) { 
+	psli_g_Map.setView({zoom:'.$entity['id_action'].', center: new Microsoft.Maps.Location('.$entity['lat'].', '.$entity['lon'].')});
+}'."\n";
+							break;
+						case 2:
+							$desc_function_click .= '
+function psli_MapsClick_'.$entity['id'].' (e) { 
+	document.location.href=\'index.php?/category/'.$entity['id_action'].'\';
+}'."\n";
+							break;
+						case 3:
+							$desc_function_click .= '
+function psli_MapsClick_'.$entity['id'].' (e) { 
+  document.location.href=\'picture.php?/'.$entity['id_action'].'\';
+}'."\n";
+							break;				
+					}
 				
-				$desc_data .= '
-	Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "mouseover", psli_MapsMouseOver_'.$entity['id'].');
-	Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "mouseout", psli_MapsMouseOut);
-	Microsoft.Maps.Events.addHandler(psli_t_Child'.$entity['id'].', "click", psli_MapsClick_'.$entity['id'].');'."\n";
-	
-				if ($entity['action'] == 0)
-				{
-					$desc_function_click .= '
-function psli_MapsClick_'.$entity['id'].' (e) { 
-  document.location.href=\'index.php?/category/'.$entity['id_category'].'\';
-}'."\n";
-				}
-				else	
-				{
-					$desc_function_click .= '
-function psli_MapsClick_'.$entity['id'].' (e) { 
-  psli_g_Map.setView({zoom:'.$entity['action'].', center: new Microsoft.Maps.Location('.$entity['lat'].', '.$entity['lon'].')});
-}'."\n";
-				}
-			
-				for ($i = $entity['zoomMin']; $i <= $entity['zoomMax']; $i++)
-				{
-					$desc_data .= 'psli_g_ZoomEntity['.($i - 1).'].push(psli_t_Child'.$entity['id'].');'."\n";
+					for ($i = $entity['zoomMin']; $i <= $entity['zoomMax']; $i++)
+					{
+						$desc_data .= 'psli_g_ZoomEntity['.($i - 1).'].push(psli_t_Child'.$entity['id'].');'."\n";
+					}
 				}
 			}
Index: /extensions/Psli_BingMaps/include/version.inc.php
===================================================================
--- /extensions/Psli_BingMaps/include/version.inc.php	(revision 15431)
+++ /extensions/Psli_BingMaps/include/version.inc.php	(revision 15432)
@@ -1,8 +1,6 @@
 <?php
 /*
-Version: 1.1
 Plugin Name: Psli-BingMaps
 Author: psli 
-Description: Maintenance function for plugin "Psli-BingMaps"
 */
 
@@ -88,3 +86,123 @@
 }
 
+// from version 1.3
+if (($version_maj == "1") and ($version_min == "3"))
+{
+	// New table MAPS and changes in Entities table
+	define('PSLI_CONF_LAT', 'PsliBingMapsLat');
+	define('PSLI_CONF_LON', 'PsliBingMapsLon');
+	define('PSLI_CONF_ZOOM', 'PsliBingMapsZoom');
+	define('PSLI_CONF_CATEGORY', 'PsliBingMapsCategoryInitiale');
+	
+	// Create table Maps and default element
+	$sql = '
+		CREATE TABLE IF NOT EXISTS `'.PSLI_MAPS_TABLE."` (
+			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
+			`id_category` smallint(5) unsigned DEFAULT NULL,
+			`title` text,
+			`lat` decimal(15,12) DEFAULT '0.000000000000',
+			`lon` decimal(15,12) DEFAULT '0.000000000000',
+			`zoom` smallint(6) DEFAULT NULL,
+			PRIMARY KEY (`id`)
+		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
+	pwg_query($sql);
+	
+	// Create table Entity-Map and default element
+	$sql = '
+		CREATE TABLE IF NOT EXISTS `'.PSLI_ENTITIES_MAPS_TABLE."` (
+			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
+			`id_entity` smallint(5) unsigned DEFAULT NULL,
+			`id_map` smallint(5) unsigned DEFAULT NULL,
+			PRIMARY KEY (`id`),
+			UNIQUE `psli_entity_map_1` (`id_entity`, `id_map`),
+			INDEX `psli_entity_map_2` (`id_entity`),
+			INDEX `psli_entity_map_3` (`id_map`)
+		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
+	pwg_query($sql);
+	
+	$query = '
+		SELECT value
+			FROM '.CONFIG_TABLE.'
+			WHERE param = "'.PSLI_CONF_LAT.'";';
+	$result = pwg_query($query);
+	$row = pwg_db_fetch_assoc($result);
+	$lat = $row['value'];
+
+	$query = '
+		SELECT value
+			FROM '.CONFIG_TABLE.'
+			WHERE param = "'.PSLI_CONF_LON.'";';
+	$result = pwg_query($query);
+	$row = pwg_db_fetch_assoc($result);
+	$lon = $row['value'];
+
+	$query = '
+		SELECT value
+			FROM '.CONFIG_TABLE.'
+			WHERE param = "'.PSLI_CONF_ZOOM.'";';
+	$result = pwg_query($query);
+	$row = pwg_db_fetch_assoc($result);
+	$zoom = $row['value'];
+	
+	$query = '
+		SELECT value
+			FROM '.CONFIG_TABLE.'
+			WHERE param = "'.PSLI_CONF_CATEGORY.'";';
+	$result = pwg_query($query);
+	$row = pwg_db_fetch_assoc($result);
+	$category = $row['value'];
+	if ($category == 'to define')
+	{
+		$category = 'null';
+	}
+
+	$sql = "INSERT INTO `".PSLI_MAPS_TABLE."` (`id`, `id_category`, `title`, `lat`, `lon`, `zoom`) 
+				VALUES (1, ".$category.", 'Default', ".$lat.", ".$lon.", ".$zoom.");";	
+    pwg_query($sql);	
+	
+	$sql = "INSERT INTO `".PSLI_ENTITIES_MAPS_TABLE."` (`id_entity`, `id_map`) 
+				SELECT id, 1 FROM `".PSLI_ENTITIES_TABLE."`;";	
+    pwg_query($sql);
+	
+	// Update table Entities
+	$sql = 'ALTER TABLE `'.PSLI_ENTITIES_TABLE.'` DROP INDEX `psli_i10`;';	
+    pwg_query($sql);	
+	$sql = 'ALTER TABLE `'.PSLI_ENTITIES_TABLE.'` CHANGE COLUMN `id_category` `id_action` smallint(5) unsigned DEFAULT NULL;';	
+    pwg_query($sql);
+	$sql = 'ALTER TABLE `'.PSLI_ENTITIES_TABLE.'` ADD COLUMN `type` smallint(1) default 1;';	
+    pwg_query($sql); 
+	$sql = 'UPDATE `'.PSLI_ENTITIES_TABLE.'` SET `id_action`=`action`, `action`=1 WHERE `action` <> 0;';	
+    pwg_query($sql);
+	$sql = 'UPDATE `'.PSLI_ENTITIES_TABLE.'` SET `action`=2 WHERE `action` = 0;';	
+    pwg_query($sql);
+	$sql = 'UPDATE '.PSLI_ENTITIES_TABLE.' e SET e.type=2 where exists (select * from '.PSLI_DATAPOINT_TABLE.' d where d.id_entity = e.id);';	
+    pwg_query($sql);
+		
+	// Drop conf param PSLI_CONF_LAT, PSLI_CONF_LON, PSLI_CONF_ZOOM	
+	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LAT."';";
+	pwg_query($sql);
+	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LON."';";
+	pwg_query($sql);
+	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_ZOOM."';";
+	pwg_query($sql);
+	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_CATEGORY."';";
+	pwg_query($sql);
+	
+	// Update version
+	$query = '
+		UPDATE '.CONFIG_TABLE.'
+			SET value = "' . PSLI_VERSION_MAJ . '"
+			WHERE param = "'.PSLI_CONF_VERSION_MAJ.'"
+			LIMIT 1';
+	pwg_query($query);
+	$query = '
+		UPDATE '.CONFIG_TABLE.'
+			SET value = "' . PSLI_VERSION_MIN . '"
+			WHERE param = "'.PSLI_CONF_VERSION_MIN.'"
+			LIMIT 1';
+	pwg_query($query);
+	$version_maj = "2";
+	$version_min = "0";
+}
+
 ?>
Index: /extensions/Psli_BingMaps/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/Psli_BingMaps/language/cs_CZ/plugin.lang.php	(revision 15431)
+++ /extensions/Psli_BingMaps/language/cs_CZ/plugin.lang.php	(revision 15432)
@@ -22,49 +22,105 @@
 // +-----------------------------------------------------------------------+
 $lang['Action'] = 'Akce';
-$lang['Annuler le mode creation'] = 'Zrušit mód perimetru';
+$lang['Action Album'] = 'Action Album';
+$lang['Action Picture'] = 'Action Picture';
+$lang['Action Zoom'] = 'Action Zoom';
+$lang['Added pictures'] = 'Added pictures';
+$lang['Associated map'] = 'Associated map';
+$lang['Batch association'] = 'Batch association';
 $lang['Bing Maps Key'] = 'Bing Maps Key';
-$lang['Categorie'] = 'Kategorie';
+$lang['Category'] = 'Kategorie';
+$lang['Category not selected'] = 'Category not selected';
 $lang['Center Latittude'] = 'Počáteční zeměpisná šířks';
 $lang['Center Longitude'] = 'Počáteční zeměpisná délka';
-$lang['Cliquez pour acceder aux photos'] = 'Kliknout pro pohled';
-$lang['Cliquez pour zoomer sur'] = 'Kliknout k zoom na';
+$lang['Change Zoom Level'] = 'Change Zoom Level';
+$lang['Click to show pictures of'] = 'Kliknout pro pohled';
+$lang['Click to zoom on'] = 'Kliknout k zoom na';
 $lang['Configuration'] = 'Sestava';
-$lang['Contenu'] = 'Ukázat obrázek kategorie';
-$lang['Creer une zone'] = 'Vytvořit perimetr';
-$lang['Enregistrer la zone'] = 'Uložit perimetr';
-$lang['Etes-vous sur ?'] = 'Jste si jist?';
+$lang['Configuration mode'] = 'Configuration mode';
+$lang['Create a map'] = 'Create a map';
+$lang['Create a pin'] = 'Create a pin';
+$lang['Create a zone'] = 'Vytvořit perimetr';
+$lang['Delete all points'] = 'Zrušit vše';
+$lang['Delete last point'] = 'Zrušit poslední bod';
+$lang['Delete this map'] = 'Delete this map';
+$lang['Delete this picture'] = 'Delete this picture';
+$lang['Delete this pin'] = 'Delete this pin';
+$lang['Delete this zone'] = 'Delete this zone';
+$lang['Entity field'] = 'Entity field';
+$lang['Exif import'] = 'Exif import';
+$lang['fifth step : check association with your maps'] = 'fifth step : check association with your maps';
+$lang['first step : create map'] = 'first step : create map';
+$lang['fourth step : make modification to pin associated to your pictures'] = 'fourth step : make modification to pin associated to your pictures';
+$lang['last step : Enjoy !'] = 'last step : Enjoy !';
 $lang['Latitude'] = 'Zeměpisná šířka';
-$lang['Localisation - Plugin Psli-BingMaps'] = 'Lokalizace - Plugin Psli-BingMaps';
 $lang['Longitude'] = 'Zeměpisná délka';
-$lang['PointnClick Map'] = 'Oznčit a kliknout mapu';
+$lang['Map mode'] = 'Map mode';
+$lang['Map Title'] = 'Map Title';
+$lang['Modified pictures'] = 'Modified pictures';
+$lang['New Entity'] = 'New Entity';
+$lang['New Map'] = 'New Map';
+$lang['New Picture'] = 'New Picture';
+$lang['New Pin'] = 'New Pin';
+$lang['New Zone'] = 'New Zone';
+$lang['No exif in pictures for this category'] = 'No exif in pictures for this category';
+$lang['No selected entity'] = 'No selected entity';
+$lang['No selected map'] = 'No selected map';
+$lang['Not assign to a category'] = 'Not assign to a category';
+$lang['Open Category'] = 'Open Category';
+$lang['Open Picture'] = 'Open Picture';
+$lang['Open this category'] = 'Open this category';
+$lang['Open this map'] = 'Open this map';
+$lang['Open this picture'] = 'Open this picture';
+$lang['Open this pin'] = 'Open this pin';
+$lang['Open this zone'] = 'Open this zone';
+$lang['Picture'] = 'Fotografie';
+$lang['Picture mode'] = 'Picture mode';
+$lang['Picture Title'] = 'Picture Title';
+$lang['pictures'] = 'Fotografie';
+$lang['Pin'] = 'Pin';
+$lang['Pin mode'] = 'Pin mode';
+$lang['Pin Title'] = 'Pin Title';
+$lang['Reload saved zone'] = 'Reload saved zone';
+$lang['second step : import exif data from your pictures'] = 'second step : import exif data from your pictures';
+$lang['Select a Category'] = 'Select a Category';
+$lang['Select a Map'] = 'Select a Map';
+$lang['Select a picture'] = 'Select a picture';
+$lang['Select a pin'] = 'Select a pin';
+$lang['Select a zone'] = 'Select a zone';
 $lang['Set'] = 'Nastavit';
-$lang['Setup Helper'] = 'Použít mapu k nastavení počáteční středové pozice a hladiny zoomu mapy';
-$lang['Submit'] = 'Uložit';
-$lang['Supprimer la localisation'] = 'Zrušit všechny údaje';
-$lang['Supprimer le dernier point'] = 'Zrušit poslední bod';
-$lang['Tout effacer'] = 'Zrušit vše';
-$lang['Valider'] = 'Vyhradit';
+$lang['Show guest view'] = 'Show guest view';
+$lang['Show map center'] = 'Show map center';
+$lang['third step : create new zone and new pin'] = 'third step : create new zone and new pin';
+$lang['User manual'] = 'Uživatelská příručka';
+$lang['You need to select a category'] = 'You need to select a category';
+$lang['You need to select a map'] = 'You need to select a map';
+$lang['You need to select a picture'] = 'You need to select a picture';
+$lang['You need to select a pin'] = 'You need to select a pin';
+$lang['You need to select a zone'] = 'You need to select a zone';
+$lang['Zone'] = 'Perimetr';
+$lang['Zone mode'] = 'Zone mode';
+$lang['Zone Title'] = 'Zone Title';
+$lang['Zoom'] = 'Počáteční zoom';
+$lang['Zoom level 1'] = 'Zoom na hladinu 1';
+$lang['Zoom level 10'] = 'Zoom na hladinu 10';
+$lang['Zoom level 11'] = 'Zoom na hladinu 11';
+$lang['Zoom level 12'] = 'Zoom na hladinu 12';
+$lang['Zoom level 13'] = 'Zoom na hladinu 13';
+$lang['Zoom level 14'] = 'Zoom na hladinu 14';
+$lang['Zoom level 15'] = 'Zoom na hladinu 15';
+$lang['Zoom level 16'] = 'Zoom na hladinu 16';
+$lang['Zoom level 17'] = 'Zoom na hladinu 17';
+$lang['Zoom level 18'] = 'Zoom na hladinu 18';
+$lang['Zoom level 19'] = 'Zoom na hladinu 19';
+$lang['Zoom level 2'] = 'Zoom na hladinu 2';
+$lang['Zoom level 20'] = 'Zoom na hladinu 20';
+$lang['Zoom level 3'] = 'Zoom na hladinu 3';
+$lang['Zoom level 4'] = 'Zoom na hladinu 4';
+$lang['Zoom level 5'] = 'Zoom na hladinu 5';
+$lang['Zoom level 6'] = 'Zoom na hladinu 6';
+$lang['Zoom level 7'] = 'Zoom na hladinu 7';
+$lang['Zoom level 8'] = 'Zoom na hladinu 8';
+$lang['Zoom level 9'] = 'Zoom na hladinu 9';
 $lang['Zoom maximum'] = 'Maximální zoom';
 $lang['Zoom minimum'] = 'Minimální zoom';
-$lang['Zoom niveau 10'] = 'Zoom na hladinu 10';
-$lang['Zoom niveau 11'] = 'Zoom na hladinu 11';
-$lang['Zoom niveau 12'] = 'Zoom na hladinu 12';
-$lang['Zoom niveau 13'] = 'Zoom na hladinu 13';
-$lang['Zoom niveau 14'] = 'Zoom na hladinu 14';
-$lang['Zoom niveau 15'] = 'Zoom na hladinu 15';
-$lang['Zoom niveau 16'] = 'Zoom na hladinu 16';
-$lang['Zoom niveau 17'] = 'Zoom na hladinu 17';
-$lang['Zoom niveau 18'] = 'Zoom na hladinu 18';
-$lang['Zoom niveau 19'] = 'Zoom na hladinu 19';
-$lang['Zoom niveau 1'] = 'Zoom na hladinu 1';
-$lang['Zoom niveau 20'] = 'Zoom na hladinu 20';
-$lang['Zoom niveau 2'] = 'Zoom na hladinu 2';
-$lang['Zoom niveau 3'] = 'Zoom na hladinu 3';
-$lang['Zoom niveau 4'] = 'Zoom na hladinu 4';
-$lang['Zoom niveau 5'] = 'Zoom na hladinu 5';
-$lang['Zoom niveau 6'] = 'Zoom na hladinu 6';
-$lang['Zoom niveau 7'] = 'Zoom na hladinu 7';
-$lang['Zoom niveau 8'] = 'Zoom na hladinu 8';
-$lang['Zoom niveau 9'] = 'Zoom na hladinu 9';
-$lang['Zoom'] = 'Počáteční zoom';
 ?>
